#/bin/sh
# This is a sample application started from newjunk
# This script is only executed if one or more groups were added by newjunk
# 
BINDIR=/usr/lib/news/bin
NEWSDIR=/usr/lib/news
#
PATH=/bin:/usr/bin:/usr/local/bin:${BINDIR}
#
cd ${NEWSDIR}
#
# CNEWS only. lock the news system from touching active
#
lock="$NEWSDIR/LOCK"
ltmp="$NEWSDIR/L.$$"
echo $$ >$ltmp
trap "rm -f $ltmp ; exit 0" 0 1 2 15
while true 
do
	if /usr/lib/news/bin/newslock $ltmp $lock
	then
		trap "rm -f $ltmp $lock ; exit 0" 0 1 2 15
		break;
	fi
	sleep 5
done
#
# First, let's sort our active file so that the new installed groups fit
# neatly into the whole stuff
#
			sort -i -o active active

exit 0
